org.eclipse.actf.model.dom.odf.text

## Interface ListElement

All Superinterfaces:
  Element, IStylable, ITextElementContainer, Node, ODFElement

    public interface ListElement
    extends ODFElement, IStylable, ITextElementContainer

Interface for <text:list> element.

### Field Summary

### Fields inherited from interface org.w3c.dom.Node

`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

### Method Summary

Methods
`void` `appendItem(ListItemElement item)`
`ListItemElement` `getItem(long idx)`
`long` `getListLevel()`
`StyleElement` `getListLevelStyleElement()`
`long` `getSize()`
`ListElement` `getTopLevelListElement()`
`void` `insertBefore(ListItemElement item, long idx)`

### Methods inherited from interface org.eclipse.actf.model.dom.odf.content.IStylable

`addStyleListener, getStyle, removeStyleListener, setStyle`

### Methods inherited from interface org.eclipse.actf.model.dom.odf.range.ITextElementContainer

`getChildIterator, getContentSize`

### Methods inherited from interface org.w3c.dom.Element

`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getSchemaTypeInfo, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setIdAttribute, setIdAttributeNode, setIdAttributeNS`

### Methods inherited from interface org.w3c.dom.Node

`appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

### Method Detail

#### getSize

    long getSize()

#### getItem

    ListItemElement getItem(long idx)

#### appendItem

    void appendItem(ListItemElement item)

#### insertBefore

    void insertBefore(ListItemElement item,
                    long idx)

#### getListLevel

    long getListLevel()

#### getTopLevelListElement

    ListElement getTopLevelListElement()

#### getListLevelStyleElement

    StyleElement getListLevelStyleElement()